﻿using System;
using System.Collections.Generic;
using Microsoft.EntityFrameworkCore.Migrations;
using Npgsql.EntityFrameworkCore.PostgreSQL.Metadata;

namespace ClientServer.Migrations
{
    public partial class EnsureNoReleaseDeleteEx : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_ExerciseReleases_Exercises_ExerciseId",
                table: "ExerciseReleases");

            migrationBuilder.AddForeignKey(
                name: "FK_ExerciseReleases_Exercises_ExerciseId",
                table: "ExerciseReleases",
                column: "ExerciseId",
                principalTable: "Exercises",
                principalColumn: "Id",
                onDelete: ReferentialAction.Restrict);
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_ExerciseReleases_Exercises_ExerciseId",
                table: "ExerciseReleases");

            migrationBuilder.AddForeignKey(
                name: "FK_ExerciseReleases_Exercises_ExerciseId",
                table: "ExerciseReleases",
                column: "ExerciseId",
                principalTable: "Exercises",
                principalColumn: "Id",
                onDelete: ReferentialAction.Cascade);
        }
    }
}
